Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025218
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorsometimes2013-11-26 16:052013-12-02 17:01
ReporterioritzCiaView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0MP30
StatusclosedFix in branchFixed in SCM revisiona3478b127262
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_22
OS VersionUbuntu 10.04Database version8.4Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2013-10-07
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/94d0fb15191969d20c2f89b919bec8a95ad33110 [^]
Triggers an Emergency PackNo
Summary

0025218: Add Payment fails when it is the first thing you execute

DescriptionIn an Invoice when adding a payment an error message appears.

It happens in live in MP29 not in MP28.
Steps To Reproduce- Go to Sales Invoice window and create a new one with it's lines.
- Click on add payment.
- If the error does not appear, log out and log in again and add the payment.
- An error appears: Session attribute required 'Y'. See the attached screenshot.
TagsNo tags attached.
Attached Filespng file icon AddPayment.png [^] (96,192 bytes) 2013-11-26 16:05

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0062460)
hgbot (developer)
2013-11-28 18:29

Repository: erp/devel/pi
Changeset: a3478b12726299c868d671d0e0ed8b386c747500
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Nov 28 16:53:57 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a3478b12726299c868d671d0e0ed8b386c747500 [^]

Fixes bug 25218: Session properties are always included in the grid ds request

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewFieldHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewGridComponent.java
M src/org/openbravo/base/model/Entity.java
---
(0062472)
shankarb (developer)
2013-12-01 13:19

Code reviewed and verified in pi changeset da5abac33c8f
(0062492)
hudsonbot (developer)
2013-12-02 17:01

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9732e7b65447 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-11-26 16:05 ioritzCia New Issue
2013-11-26 16:05 ioritzCia Assigned To => AugustoMauch
2013-11-26 16:05 ioritzCia File Added: AddPayment.png
2013-11-26 16:05 ioritzCia Modules => Core
2013-11-26 16:05 ioritzCia Triggers an Emergency Pack => No
2013-11-26 16:08 ioritzCia Regression level => Production - QA Approved
2013-11-26 16:08 ioritzCia Description Updated View Revisions
2013-11-28 18:14 AugustoMauch Issue Monitored: shankarb
2013-11-28 18:15 AugustoMauch Review Assigned To => shankarb
2013-11-28 18:19 AugustoMauch Regression date => 2013-10-07
2013-11-28 18:19 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/94d0fb15191969d20c2f89b919bec8a95ad33110 [^]
2013-11-28 18:29 hgbot Checkin
2013-11-28 18:29 hgbot Note Added: 0062460
2013-11-28 18:29 hgbot Status new => resolved
2013-11-28 18:29 hgbot Resolution open => fixed
2013-11-28 18:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a3478b12726299c868d671d0e0ed8b386c747500 [^]
2013-12-01 13:19 shankarb Note Added: 0062472
2013-12-01 13:19 shankarb Status resolved => closed
2013-12-01 13:19 shankarb Fixed in Version => 3.0MP30
2013-12-02 17:01 hudsonbot Checkin
2013-12-02 17:01 hudsonbot Note Added: 0062492


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker